Bug 737998 - Cannot recognize python version correctly
Summary: Cannot recognize python version correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: newt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 15:25 UTC by yegle
Modified: 2011-11-17 23:42 UTC (History)
2 users (show)

Fixed In Version: newt-0.52.14-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-17 23:42:49 UTC


Attachments (Terms of Use)
proposed patch (537 bytes, patch)
2011-11-10 07:45 UTC, Naohiro Aota
no flags Details | Diff

Description yegle 2011-09-13 15:25:13 UTC
The configure script in newt-0.52.13 cannot recognize python version correctly.

code snipplet ( about line 142 in configure.ac )

if test "x$with_python" = "xno"; then
  AC_MSG_RESULT([skipped])
  PYTHONVERS=
else
  PYTHONVERS=$(ls /usr/include/python*/Python.h 2> /dev/null | sed "s|/usr/include/||g"| sed "s|/Python.h||g" 2> /dev/null)
  AC_MSG_RESULT([$PYTHONVERS])
fi

If I have multiple python directory under /usr/include/, for example:
$ ls /usr/include/python* -d
/usr/include/python2.5  /usr/include/python2.6  /usr/include/python2.7

The configure result would be:

checking for python versions... python2.5
python2.6
python2.7
configure: creating ./config.status
config.status: creating Makefile
config.status: creating libnewt.pc
config.status: creating config.h

make PYTHONVERS=python2.7 
Makefile:16: *** missing separator.  Stop.

Comment 1 Naohiro Aota 2011-11-10 07:45:04 UTC
Created attachment 532743 [details]
proposed patch

How do you think of this patch? Seems working here.

Comment 2 Miroslav Lichvar 2011-11-10 16:25:43 UTC
Fixed in git. Thanks.

I've also limited the version to 2.*, as it doesn't compile with python3.0 yet.

Comment 3 Fedora Update System 2011-11-11 11:19:41 UTC
newt-0.52.14-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/newt-0.52.14-1.fc16

Comment 4 Fedora Update System 2011-11-12 03:28:36 UTC
Package newt-0.52.14-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing newt-0.52.14-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15813
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-17 23:42:49 UTC
newt-0.52.14-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.